tuklib_gettext.h File Reference

Wrapper for gettext and friends. More...

`#include "tuklib_common.h"`
`#include <locale.h>`

## Macros

#define | TUKLIB_GETTEXT 0
#define | tuklib_gettext_init(package, localedir) setlocale(LC_ALL, "")
#define | _(msgid) (msgid)
#define | ngettext(msgid1, msgid2, n) ((n) == 1 ? (msgid1) : (msgid2))
#define | N_(msgid) msgid

## Detailed Description

Wrapper for gettext and friends.